import { type ConduitState } from "@infersec/definitions";
type ConduitStateInput = Record<string, unknown> & {
    state: ConduitState["state"];
};
export declare class ConduitStateManager {
    private activeRequestCount;
    private currentState;
    constructor({ initialState }: {
        initialState: ConduitStateInput;
    });
    decrementActiveRequestCount(): void;
    getState(): ConduitState;
    incrementActiveRequestCount(): void;
    setState(state: ConduitStateInput): ConduitState;
    touch(): ConduitState;
}
export {};
